(trad) HTML Validator 0.5.6.1 en traduction/correction/ ...

Vous vous penchez sur le développement d'applications ou d'extensions pour Mozilla ? C'est alors vers ce forum que se dirigeront naturellement vos requêtes...

Modérateur : chBok

Répondre
GregK84
Lézard à collerette
Messages : 360
Enregistré le : 15 oct. 2004, 15:24

(trad) HTML Validator 0.5.6.1 en traduction/correction/ ...

Message par GregK84 » 07 févr. 2005, 20:28

.:: Ressource ::.

Salut,

Voici la traduction de HTML Validator 0.5.6.1, vous pouvez le téléchargé ici.

Voici l'état d'avancement de la traduction des messages d'erreurs de html validator 0.5.6.1 + Téléchargement de la dernière version : ICI



Nouvelle version Windows (version 0.5.6) : http://rars.sourceforge.net/mozilla/tid ... ox_056.xpi

Site officiel de l'extension : http://users.skynet.be/mgueury/mozilla/
Release de l'extension : http://users.skynet.be/mgueury/mozilla/ ... _note.html
Site officiel du projet Tidy : http://tidy.sourceforge.net/

Pour l'instant, les options de l'extension ainsi que +- 60 messages d'erreurs sur 167 sont traduits, la traduction des autres messages d'erreurs est en cour.
Pour voir l'état d'avancement aller sur cette page), mais vu l'énorme travail à accomplir et n'étant pas très bon en anglais je serais ravis d'avoir de l'aide.
Modifié en dernier par GregK84 le 15 mars 2005, 09:57, modifié 10 fois.

Invité

Message par Invité » 07 févr. 2005, 21:59

Oh ben moi je dois avoir tout faux depuis le début : sur ma machine (Win Me, FF 1.0), le xpi plus haut ne veut même pas s'installer. :roll:
type d'erreur "package à installer non valide"
La galère continue, c'est l'extension maudite ? :D :D

Bon en attendant, simples suggestions :

1. Vous devez avoir les droits d'écriture pour le répertoire chrome et les sous-dossiers (la variable doit être un nom de dossier ?) ainsi que pour le répertoire des composants (?)
2. Une erreur de type inconnu s'est produite. Code de l'erreur (N°) . Regardez à cette adresse URL une explication de ce code d'erreur
3 Ce document comporte (nombre d') erreurs qui doivent être rectifiées avant d'utiliser Tidy pour créer une version nettoyée.

Goofy
Iguane
Messages : 593
Enregistré le : 23 juil. 2004, 22:39

Message par Goofy » 07 févr. 2005, 22:01

avec tous ces événements j'en oublie de m'identifier, moi. Pfff.

GregK84
Lézard à collerette
Messages : 360
Enregistré le : 15 oct. 2004, 15:24

Message par GregK84 » 07 févr. 2005, 22:12

je viens de la reuploder et je l'ai testé. elle fonctionne correctement sous firefox 1.0.

Goofy
Iguane
Messages : 593
Enregistré le : 23 juil. 2004, 22:39

Message par Goofy » 07 févr. 2005, 22:27

Je confirme :lol: :lol: ! ça marche maintenant (même sur ma vieille bécane !) :!: :!:

PierreFox
Iguane
Messages : 501
Enregistré le : 28 sept. 2004, 21:54

Re: (trad) HTML Validator 0.53 en test/correction ...

Message par PierreFox » 07 févr. 2005, 22:36

GregK84 a écrit :Pour l'instant, seul les options de l'extension sont traduites, je vais essaye de traduire les messages d'erreurs, mais mon anglais n'étant pas très bon cela me faciliterait la tache d'avoir de l'aide.
Surtout qu'il n'y en a pas qu'un peu lol

Goofy
Iguane
Messages : 593
Enregistré le : 23 juil. 2004, 22:39

Message par Goofy » 07 févr. 2005, 22:54

Eh ben, quel courage en effet...

Suggestions :
1. dans contents.rdf
tu peux remplacer "English(US)" par "Français" (ligne 12)
2. Vu le poids de l'extension, elle gagnerait à être allégée de la locale en-US (?)
3. Pour "This document has %S that must be fixed.. etc." je me ravise : la variable est là pour 1 seul nom de "problème". Donc "... qu'il faut corriger avant de créer une version nettoyée avec tidy "

GregK84
Lézard à collerette
Messages : 360
Enregistré le : 15 oct. 2004, 15:24

Message par GregK84 » 08 févr. 2005, 10:59

j'effectue c'est modification de suite ...

GregK84
Lézard à collerette
Messages : 360
Enregistré le : 15 oct. 2004, 15:24

Message par GregK84 » 08 févr. 2005, 11:25

modification effectuée, voici le résulta :

install.js

62 ) You need to have write permissions to the chrome directory and subfolders : => Vous devez avoir les droits en écriture pour le répertoire chrome et ses sous-dossiers !
63 ) and to the components directory => ainsi que le répertoire des composants
72 ) An unknown error occured. Error code: => Une erreur de type inconnu s'est produite. N° de Code de l'erreur
73 ) Look at the following URL for a description of the error code => L'explication de cette erreur est présente à cette adresse :

tidy.properties

18 ) This document has %S that must be fixed before using Tidy to generate a cleanup version. => Ce document a %S ,il faut la corriger avant d'utiliser la librairie Tidy pour générer une version validée.

Aide.html

tidy_start.html


D'autre problème ????

Merci a goofy pour son aide a la traduction :wink:
Modifié en dernier par GregK84 le 11 févr. 2005, 13:36, modifié 1 fois.

Goofy
Iguane
Messages : 593
Enregistré le : 23 juil. 2004, 22:39

Message par Goofy » 08 févr. 2005, 15:05

Euh, le chien multimania-Lycos me dit qu'il ne trouve pas la page :roll: ... Sale bête. :D :mrgreen: :mrgreen:

Je te suggère de faire migrer tes travaux en cours sur icietla, il suffit de t'inscrire là http://ersplus.free.fr/spip/ecrire ensuite c'est du spip pour publier, uploader etc. , pas trop difficile à maîtriser.

GregK84
Lézard à collerette
Messages : 360
Enregistré le : 15 oct. 2004, 15:24

Message par GregK84 » 08 févr. 2005, 16:22

prob résolu

calimo
Animal mythique
Messages : 14118
Enregistré le : 26 déc. 2003, 11:51

Message par calimo » 11 févr. 2005, 10:02

Si je puis me permettre un autre conseil, avec toutes ces versions c'est le bordel !
Change les numéros, par exemple 0.53.1, 0.53.2, 0.53.3 etc. et si tu as un fichier de MAJ celle-ci pourra se faire automatiquement ce qui est quand-même bien pratique :wink:

GregK84
Lézard à collerette
Messages : 360
Enregistré le : 15 oct. 2004, 15:24

Message par GregK84 » 11 févr. 2005, 13:36

Voici la traduction de HTML Validator 0.53, version 2. vous pouvez le téléchargé ici ou au dessus :wink:.

Voici les fichiers d'aide déja traduit :

tidy_start.html
tidy_1.html
tidy_3.html
tidy_4.html
tidy_6.html
tidy_7.html

j'aurais besoin de voter aide pour les corriger, voir même en traduire un ou 2 car la liste est encore longue :wink:

merci

calimo
Animal mythique
Messages : 14118
Enregistré le : 26 déc. 2003, 11:51

Message par calimo » 11 févr. 2005, 15:04

Bonne idée d'avoir laissé l'original pour qu'on puisse comparer :wink:
Par contre j'aurais envie de dire... mais qu'elles sont crades les pages html de cette extension :!: :shock:
C'est quand-même un comble, une extension qui prône un code propre dont le code ressemble à ça :

Code : Tout sélectionner

<h1><span style="font-weight: bold; color: rgb(51, 51, 255);">HTML
Validator<br>
</span></h1>
laissez-moi rire mais c'est un comble :lol: :shock: :? :roll:
J'ai encore de la peine à y croire, on dirait que c'est fait avec un éditeur WYSIWYG ce truc :|

Goofy
Iguane
Messages : 593
Enregistré le : 23 juil. 2004, 22:39

Message par Goofy » 11 févr. 2005, 15:13

1. Repérages :
tidy 1 :
ne finit pas dans par > ne finit pas par
C'est un message d'attention > Ceci est un message d'information
L'entité "&nbsp " ne finit pas dans par > ne finit pas par


tidy 3 :
Tous les caractères spéciaux contenu > contenus
Avant de vous faire avant une opinion sur le sujet > Pour vous faire votre propre opinion sur le sujet,

tidy 6
à voir : tu ne traduis pas "tag(s)" par "balise(s)" ?

tidy 7
ce problème peut être du > dû
contenu dans le tag <p> et pas l'inversse > inverse

2. Contribution
J'ai traduit les tidy 8.6 et 9. Si tu avais un compte sur icietla ce serait assez simple pour downloader/uploader des versions de travail.
Alors je les mets ici sur mes pages mais bon... :roll:

Répondre

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité